<div class="sidenav_container" [@onSideNavChange]="appState.sideNavToggle ? 'open' : 'close'"
     [ngClass]="{ 'open-menu': appState.sideNavToggle  }">
  <div fxLayout="column" fxLayoutGap="10px" class="sidebar-inner">
    <div [ngClass]="appState.sideNavToggle ? 'open-user-menu' : 'close-user-menu'">
      <mat-nav-list class="nav-list">
        <a mat-list-item class="nav-list-item c-sidebar-item top-bar-sidebar toggleButton" (click)="onSidenavToggle()">
          <span *ngIf="appState.sideNavToggle"
                style="text-align: left; max-width: 185px;white-space: nowrap;text-overflow: ellipsis;width: 185px;overflow: hidden;">
            {{(businessName | async)?.businessName}}
          </span>
          <mat-icon *ngIf="appState.sideNavToggle" [ngClass]="{ 'open-icon': appState.sideNavToggle }">menu</mat-icon>
          <mat-icon *ngIf="!appState.sideNavToggle" class="open-menu">menu_open</mat-icon>
        </a>
        <mat-divider class="c-mat-divider" style="margin: 0 16px;"></mat-divider>
        <div class="extra-space">
          <ng-container *ngFor="let tm of appState.topMenus">
            <ng-container *ngIf="tm.show && hasPermission(tm.moduleName, ['C', 'V', 'E', 'D'])">
              <a *ngIf="tm.show" mat-list-item class="nav-list-item c-sidebar-item"
                 [routerLink]="tm.link" routerLinkActive="selected"
                 [matTooltip]="appState.sideNavToggle ? '' : tm.name">
                <!-- <mat-icon class="default-icon">{{ tm.icon }}</mat-icon> -->
                <img class="default-icon" src="../../assets/{{ tm.icon }}">
                <div [@animateText]="appState.sideNavToggle ? 'show' : 'hide'">
                  {{ tm.name }}
                </div>
              </a>
            </ng-container>
          </ng-container>
        </div>
      </mat-nav-list>

    </div>
    <mat-divider class="c-mat-divider"></mat-divider>
    <div class="sidenav-nav-menu-wrapper">
      <div [ngClass]="appState.sideNavToggle ? 'open-nav-menu': 'close-nav-menu'">
        <mat-nav-list class="nav-list">
          <div class="location-field-wrapper" (click)="toggleLocationSelection()"
               *ngIf="appState.dashboardCheckListStatusValue?.isLocationAdded">
            <div class="location-container d-flex align-items-center text-white"
                 [class.justify-content-center]="!appState.sideNavToggle">
              <div class="flex-fill d-flex align-items-center text-left">
                <mat-icon class="m-0" [class.mr-2]="appState.sideNavToggle"
                          [id]="!appState.sideNavToggle ? 'locationIc' : ''"
                          [matTooltip]="appState.sideNavToggle ? '' : (appState.selectedUserLocation ? appState.selectedUserLocation.locationName : '')">
                  location_on
                </mat-icon>
                <span *ngIf="appState.sideNavToggle"
                      class="normal_16px_22px_font font-weight-bold">{{appState.selectedUserLocation ? appState.selectedUserLocation.locationName : 'Select Location'}}</span>
              </div>
              <mat-icon *ngIf="appState.sideNavToggle" id="locationIc" class="m-0 cursor-pointer font-weight-bold">
                expand_more
              </mat-icon>
            </div>
          </div>
          <ng-container *ngFor="let m of appState.menus">
            <div *ngIf="m.show">
              <div *ngIf="m.child && m.child.length > 0">
                <mat-accordion>
                  <mat-expansion-panel>
                    <mat-expansion-panel-header>
                      <mat-panel-title>
                        <div fxLayout="row" fxLayoutAlign="space-between center">
                          <span [@animateText]="appState.sideNavToggle ? 'show' : 'hide'">{{m?.name}}</span>
                          <!-- <mat-icon>{{m?.icon}}</mat-icon> -->
                          <img src="../../assets/{{ m.icon }}">
                        </div>
                      </mat-panel-title>
                    </mat-expansion-panel-header>
                    <div *ngFor="let child of m.child">
                      <mat-list-item *ngIf="child.show && hasPermission(child.moduleName, ['C', 'V', 'E', 'D'])">
                        <div fxLayout="row" fxLayoutAlign="space-between center">
                          <!-- <mat-icon>{{child.icon}}</mat-icon> -->
                          <img src="../../assets/{{child.icon}}">
                          <div [@animateText]="appState.sideNavToggle ? 'show' : 'hide'">{{child?.name}}</div>
                        </div>
                      </mat-list-item>
                    </div>
                  </mat-expansion-panel>
                </mat-accordion>
              </div>
              <div *ngIf="!m.child">
                <ng-container *ngIf="m.show && hasPermission(m.moduleName, ['C', 'V', 'E', 'D'])">
                  <a mat-list-item class="nav-list-item c-sidebar-item mt-1 mb-1 " routerLink="{{ m.link }}"
                     routerLinkActive="selected" [matTooltip]="appState.sideNavToggle ? '' : m?.name">
                    <div class="sidebar-space"
                         [@animateText]="appState.sideNavToggle ? 'show' : 'hide'">{{ m?.name }} </div>
                    <!-- <mat-icon class="default-icon" [ngClass]="{ 'right-icon': appState.sideNavToggle }">{{m?.icon}}</mat-icon> -->
                    <img class="default-icon" [ngClass]="{ 'right-icon': appState.sideNavToggle }"
                         src="../../assets/{{m.icon}}">
                  </a>
                </ng-container>
              </div>
            </div>
          </ng-container>
        </mat-nav-list>
      </div>
      <div class="bottom-fix">
        <div class="sidebar-bottom-logo text-center" *ngIf="appState.sideNavToggle">
          <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0px" y="0px" viewBox="0 0 510.2 170.1"
               style="max-width: 150px;" xml:space="preserve">
<style type="text/css">
  .st0 {
    fill: #A18BD6;
  }

  .st1 {
    fill: #FF6400;
  }

  .st2 {
    fill: #C83427;
  }

  .st3 {
    fill: #FFFFFF;
  }
</style>
            <path class="st0" d="M430,123.4c0,5.8-4.7,10.5-10.5,10.6c-5.8,0-10.5-4.7-10.6-10.5l0,0V73.1c0-5.8,4.7-10.5,10.5-10.6
	S430,67.2,430,73l0,0V123.4z"/>

            <path class="st1" d="M457.1,123.4c0.2,5.8-4.4,10.7-10.2,10.9c-5.8,0.2-10.7-4.4-10.9-10.2c0-0.2,0-0.4,0-0.6V73.1
	c-0.2-5.8,4.4-10.7,10.2-10.9c5.8-0.2,10.7,4.4,10.9,10.2c0,0.2,0,0.4,0,0.6V123.4z"/>

            <path class="st2" d="M407.5,45.7c-0.2-6.6,5-12,11.6-12.2s12,5,12.2,11.6s-5,12-11.6,12.2c-0.1,0-0.2,0-0.3,0
	C412.9,57.4,407.6,52.2,407.5,45.7L407.5,45.7"/>

            <path class="st3" d="M434.7,45.7c-0.2-6.6,5-12,11.6-12.2s12,5,12.2,11.6s-5,12-11.6,12.2c-0.1,0-0.2,0-0.3,0
	C440.1,57.4,434.8,52.2,434.7,45.7L434.7,45.7"/>

            <path class="st3" d="M51.7,49.7c0-7.6,4.5-11.5,10.8-11.5s10.8,3.9,10.8,11.5v26.4L103,43.8c4.3-4.8,6.9-5.5,10.1-5.5
	c4.8,0,10.8,4.7,10.8,10.4c0,3.2-2,6.2-4.3,8.7L93.9,83.2l28.1,30.5c3.3,3.6,6,6.4,6,10.4c0,6.9-5.3,10.7-11.3,10.7
	c-5.7,0-9.8-5.2-13.3-9.1L73.3,91.8v31.4c0,7.6-4.5,11.4-10.8,11.4s-10.8-3.9-10.8-11.4C51.7,123.2,51.7,49.7,51.7,49.7z"/>

            <path class="st3" d="M195.3,123.9c0,6-4.3,10.8-10.4,10.8c-4.3-0.1-8.1-2.7-9.7-6.7c-4.7,5.7-10,8-17.9,8
	c-18.1,0-32.1-16.7-32.1-37.6s14-37.5,32.1-37.5c7.9,0,13.2,2.3,17.9,8c1.6-4,5.4-6.6,9.7-6.7c6.1,0,10.4,4.8,10.4,10.8V123.9z
	 M146,98.5c0,9.6,5.1,17.6,14.2,17.6s14.2-8,14.2-17.6s-5.1-17.6-14.3-17.6S146,88.9,146,98.5"/>

            <path class="st3" d="M202.2,84.2c-1.9-4.7-3.2-8.4-3.2-11.6c0-5.7,4.7-10.3,10.4-10.4c4.1,0,7.7,1.3,10,7.9l11,31.4h0.3l11-31.4
	c2.3-6.5,5.9-7.9,10-7.9c5.7,0,10.4,4.6,10.5,10.4c0,3.2-1.3,6.9-3.2,11.6l-17,42.1c-2,4.9-5.6,8.4-11.4,8.4s-9.5-3.5-11.5-8.4
	L202.2,84.2z"/>

            <path class="st3" d="M331.7,123.9c0,6-4.3,10.8-10.4,10.8c-4.3-0.1-8.1-2.7-9.7-6.7c-4.7,5.7-10,8-17.9,8
	c-18.1,0-32.1-16.7-32.1-37.6s14-37.5,32.1-37.5c7.9,0,13.2,2.3,17.9,8c1.6-4,5.4-6.6,9.7-6.7c6.1,0,10.4,4.8,10.4,10.8V123.9z
	 M282.4,98.5c0,9.6,5.1,17.6,14.2,17.6s14.2-8,14.2-17.6s-5.1-17.6-14.2-17.6S282.4,88.9,282.4,98.5"/>

            <path class="st3" d="M338.2,73c0-6,4.3-10.8,10.4-10.8c4.5-0.1,8.6,2.6,10.4,6.7c3.3-5.2,8.9-8,17.8-8c14.4,0,25.8,7.4,25.8,24.5
	v38.5c0,6-4.3,10.8-10.4,10.8s-10.4-4.8-10.4-10.8V91c0-7.2-4.3-12.5-11.5-12.5s-11.4,5.4-11.4,12.5v32.9c0,6-4.3,10.8-10.4,10.8
	s-10.4-4.8-10.4-10.8L338.2,73z"/>

</svg>
        </div>
        <div class="sidebar-bottom-logo1 text-center" *ngIf="!appState.sideNavToggle">
          <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0px" y="0px" viewBox="0 0 228.6 448.7"
               style="enable-background:new 0 0 228.6 448.7;height: 32px;" xml:space="preserve">
          <style type="text/css">
            .st0 {
              fill: #A18BD6;
            }

            .st1 {
              fill: #FF6400;
            }

            .st2 {
              fill: #C83427;
            }

            .st3 {
              fill: #FFFFFF;
            }
</style>
            <path class="st0" d="M100.6,400.7c0,26.6-19.4,47.9-47.3,47.9S6.1,427.3,6.1,400.7V174.8c0-26.6,19.4-47.9,47.3-47.9
                            s47.3,21.3,47.3,47.9L100.6,400.7z"/>

            <path class="st1" d="M222.4,400.7c0,26.6-19.4,47.9-47.3,47.9s-47.3-21.3-47.3-47.9V174.8c0-26.6,19.4-47.9,47.3-47.9
                            s47.3,21.3,47.3,47.9V400.7z"/>

            <path class="st2" d="M0,52.1C0,23.3,23.9,0,53.4,0s53.4,23.3,53.4,52.1s-23.9,52.1-53.4,52.1S0,80.8,0,52.1"/>

            <path class="st3"
                  d="M121.9,52.1c0-28.8,23.9-52.1,53.4-52.1s53.4,23.3,53.4,52.1s-23.9,52.1-53.4,52.1S121.9,80.8,121.9,52.1"/>

                    </svg>
        </div>
      </div>
    </div>
  </div>
</div>

<dx-popover class="app-popup" target="#locationIc" [width]="200" [height]="'auto'"
            [shading]="false" [visible]="isLocationPopupOpen" (onHidden)="isLocationPopupOpen = false;">
  <div *dxTemplate="let data of 'content'">
    <button class="app-popup-list-button text-left" *ngFor="let location of appState.locationList"
            (click)="onLocationChanged(location.id)">
      {{location.locationName}}
    </button>
  </div>
</dx-popover>
